using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class PeriodicidadCapLogic
    {
        #region Constructor

        private PeriodicidadCapDataAccess PeriodicidadCapDA;

        public PeriodicidadCapLogic()
        {
            PeriodicidadCapDA = new PeriodicidadCapDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<PeriodicidadCap> ListarPeriodicidadCap()
        {
            List<PeriodicidadCap> results = null;
            try
            {

                results = PeriodicidadCapDA.ListadoPeriodicidadCap();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
